<?php

namespace Pinpoint\Conesso\Block\Adminhtml\Config\Developer;

class Resetorders extends AbstractDeveloper
{
    /**
     * @return boolean
     */
    protected function getDisabled()
    {
        return false;
    }

    /**
     * @return \Magento\Framework\Phrase|string
     */
    protected function getButtonLabel()
    {
        return  __('Run Now');
    }

    /**
     * @return string
     */
    protected function getButtonUrl()
    {
        $query = [
            '_query' => [
                'from' => '',
                'to' => '',
                'tp' => ''
            ]
        ];
        return  $this->_urlBuilder->getUrl('pinpoint_conesso/run/ordersreset', $query);
    }
}
