<?php

namespace Pinpoint\Conesso\Model\Config\Backend;

class ArraySerialized extends \Pinpoint\Conesso\Model\Config\Backend\Serialized
{
    /**
     * Unset array element with '__empty' key
     *
     * @return ArraySerialized
     */
    public function beforeSave()
    {
        $value = $this->getValue();
        if (is_array($value)) {
            unset($value['__empty']);
        }
        $this->setValue($value);

        return parent::beforeSave();
    }
}
