<?php

namespace Pinpoint\Conesso\Model\Customer\Review;

/**
 * Customer review rating data.
 *
 */
class Rating
{
    /**
     * @var integer
     */
    public $ratingScore;

    /**
     * @param mixed $rating
     *
     * @return $this
     */
    public function setRating($rating)
    {
        $this->setRatingScore($rating->getValue());

        return $this;
    }

    /**
     * @param integer $score
     *
     * @return $this
     */
    public function setRatingScore($score)
    {
        $this->ratingScore = (int)$score;

        return $this;
    }

    /**
     * @return integer
     */
    public function getRatingScore()
    {
        return $this->ratingScore;
    }

    /**
     * @return array
     */
    public function expose()
    {
        return get_object_vars($this);
    }
}
