<?php

namespace Pinpoint\Conesso\Setup;

use Magento\Framework\Setup\InstallDataInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\ModuleDataSetupInterface;

/**
 * @codeCoverageIgnore
 */
class InstallData implements InstallDataInterface
{

    /**
     * @var ModuleDataSetupInterface
     */
    private $installer;

    /**
     * InstallData constructor
     * @param ModuleDataSetupInterface $installer
     */
    public function __construct(
        ModuleDataSetupInterface $installer
    ) {
        $this->installer = $installer;
    }

    /**
     * {@inheritdoc}
     */
    public function install(
        ModuleDataSetupInterface $setup,
        ModuleContextInterface $context
    ) {
        $this->installer->startSetup();
        $this->installer->endSetup();
    }
}
