<?php

namespace Pinpoint\Conesso\Block\Adminhtml\Config\Developer;

class Automapdatafields extends AbstractDeveloper
{
    /**
     * @return boolean
     */
    protected function getDisabled()
    {
        return false;
    }

    /**
     * @return \Magento\Framework\Phrase|string
     */
    protected function getButtonLabel()
    {
        return  __('Run Now');
    }

    /**
     * @return string
     */
    protected function getButtonUrl()
    {
        $website = $this->getRequest()->getParam('website', 0);
        $params = ['website' => $website];
        return $this->_urlBuilder->getUrl('pinpoint_conesso/run/automapdatafields', $params);
    }
}
