<?php

namespace Pinpoint\Conesso\Model\Adminhtml\Source\Importer;

class Status implements \Magento\Framework\Data\OptionSourceInterface
{
    /**
     * Contact imported options.
     *
     * @return array
     */
    public function getOptions()
    {
        return [
            \Pinpoint\Conesso\Model\Importer::NOT_IMPORTED => __('Not Imported'),
            \Pinpoint\Conesso\Model\Importer::IMPORTING => __('Importing'),
            \Pinpoint\Conesso\Model\Importer::IMPORTED => __('Imported'),
            \Pinpoint\Conesso\Model\Importer::FAILED => __('Failed'),
        ];
    }

    /**
     * @return array
     */
    public function toOptionArray()
    {
        $options = [
            [
                'value' => '0',
                'label' => 'Not Imported',
            ],
            [
                'value' => '1',
                'label' => 'Importing',
            ],
            [
                'value' => '2',
                'label' => 'Imported',
            ],
            [
                'value' => '3',
                'label' => 'Failed',
            ]
        ];

        return $options;
    }
}
