<?php

namespace Pinpoint\Conesso\Model\ResourceModel\FailedAuth;

class Collection extends \Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection
{
    /**
     * @var string
     */
    protected $_idFieldName = 'id';

    /**
     * Initialize resource collection.
     *
     * @return null
     */
    public function _construct()
    {
        $this->_init(
            \Pinpoint\Conesso\Model\FailedAuth::class,
            \Pinpoint\Conesso\Model\ResourceModel\FailedAuth::class
        );
    }

    /**
     * @param integer $storeId
     * @return $this
     */
    public function loadByStoreId($storeId)
    {
        $this->addFieldToFilter('store_id', $storeId);

        return $this;
    }
}
